<script lang="ts">
import { Tooltip } from 'element-ui'
export default Tooltip
</script>

<style lang="scss" scoped>
$color_bg: #0065ff;

@import '~assets/scss/element/tooltip';

@include b(tooltip) {
  @include e(popper) {
    @include when(ulu) {
      background: #0065ff;
      box-shadow: 0px 3px 18px #0065ff38;
      border-radius: 3px;
      color: #fff;
      font-weight: 500;
      font-size: 18px;
      line-height: 23px;
      padding: 8px 12px;

      &[x-placement^='top'] .popper__arrow {
        border-top-color: $--tooltip-fill;

        &::after {
          border-top-color: $--tooltip-color;
        }
      }

      &[x-placement^='bottom'] .popper__arrow {
        border-bottom-color: $--tooltip-fill;

        &::after {
          border-bottom-color: $--tooltip-color;
        }
      }

      &[x-placement^='left'] .popper__arrow {
        border-left-color: $--tooltip-fill;

        &::after {
          border-left-color: $--tooltip-color;
        }
      }

      &[x-placement^='right'] .popper__arrow {
        border-right-color: $--tooltip-fill;

        &::after {
          border-right-color: $--tooltip-color;
        }
      }
    }
  }
}
</style>
